#
# spec file for package rubygem-mocha
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-mocha
Version:        2.5.0
Release:        1.1
%define mod_name mocha
%define mod_full_name %{mod_name}-%{version}
BuildRequires:  %{ruby >= 2.1}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
URL:            https://mocha.jamesmead.org
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Mocking and stubbing library
License:        BSD-2-Clause AND MIT

%description
Mocking and stubbing library with JMock/SchMock syntax, which allows mocking
and stubbing of methods on real (non-mock) classes.

%prep

%build

%install
%gem_install \
  --doc-files="COPYING.md MIT-LICENSE.md README.md" \
  -f

%gem_packages

%changelog
* Mon Nov  4 2024 Dan Čermák <dan.cermak@posteo.net>
- New upstream release 2.5.0, no changelog found
* Fri Jun 21 2024 Dan Čermák <dan.cermak@posteo.net>
- New upstream release 2.4.0, no changelog found
* Tue Nov 14 2023 Dan Čermák <dan.cermak@posteo.net>
- New upstream release 2.1.0, no changelog found
* Wed Dec  7 2022 Stephan Kulow <coolo@suse.com>
  updated to version 2.0.2
  no changelog found
* Fri Oct 28 2022 Stephan Kulow <coolo@suse.com>
  updated to version 1.16.0
  no changelog found
* Mon Oct 10 2022 Stephan Kulow <coolo@suse.com>
  updated to version 1.15.0
  no changelog found
* Thu Apr 28 2022 Stephan Kulow <coolo@suse.com>
  updated to version 1.14.0
  no changelog found
* Mon Jul 26 2021 Stephan Kulow <coolo@suse.com>
  updated to version 1.13.0
  no changelog found
* Wed Jan 20 2021 Stephan Kulow <coolo@suse.com>
  updated to version 1.12.0
  no changelog found
* Mon Feb 10 2020 Stephan Kulow <coolo@suse.com>
- updated to version 1.11.2
  no changelog found
* Fri Jul 19 2019 Stephan Kulow <coolo@suse.com>
- updated to version 1.9.0
  no changelog found
* Sat Mar  2 2019 Stephan Kulow <coolo@suse.com>
- updated to version 1.8.0
  no changelog found
* Wed Sep  5 2018 coolo@suse.com
- updated to version 1.7.0
  no changelog found
* Sat Apr  7 2018 factory-auto@kulow.org
- updated to version 1.5.0
  no changelog found
* Wed Mar 21 2018 factory-auto@kulow.org
- updated to version 1.4.0
  no changelog found
* Fri Aug 25 2017 mschnitzer@suse.com
- updated to version 1.3.0
  * Ensure all tests run individually - thanks to @chrisroos (#267)
  * Update Travis CI build status badge to show master branch status (#264)
  * Correct RSpec section of the README - thanks to @myronmarston (0cc039c8)
  * Fix pretty printing of quotes in String#mocha_inspect (#215 & #223)
  * Add release instructions to README - thanks to @chrisroos (70a5febd & 3c664df7)
  * Require at least Ruby v1.8.7 in gemspec - thanks to @knappe (3e20be8e)
  * Remove redundant InstanceMethod#method_exists? - thanks to @chrisroos (8f58eddf)
  * Reduce risk of hitting bug 12832 in Ruby v2.3 - thanks to @chrisroos (#277 & eca7560c)
  * Fix JRuby build - thanks to @headius (jruby/jruby#4250) & @chrisroos (#274)
  * Add latest stable version of JRuby to Travis CI build matrix (#288)
  * Fix Ruby v1.8.7 builds on Travis CI (928b5a40 & 460dce5b)
  * Deprecate passing block to mock object constructor (#290)
  * Add a known issue to README for Ruby bug 12876 (#276)
  * Add Ruby 2.4 and ruby-head to Travis CI build matrix - thanks to @junaruga (#297)
  * Fix Mocha::ParameterMatchers#includes for Array values - thanks to @timcraft (#302)
  * Use faster container-based virtual environments for Travis CI builds (#305)
  * Rename Mocha::ParameterMatchers::QueryStringMatches to QueryString (#306)
  * Handle blank parameter value for query string matcher - thanks to @weynsee (#303 & #304)
  * Rename Mocha::ParameterMatchers::QueryString -> EquivalentUri (#307)
  * Use do ... end instead of { ... } in acceptance tests - thanks to @chrisroos (#294)
* Sun Oct 16 2016 coolo@suse.com
- updated to version 1.2.1
  no changelog found
* Tue Oct 11 2016 coolo@suse.com
- updated to version 1.2.0
  no changelog found
* Mon Nov  3 2014 tboerger@suse.com
- Added last bits of new macros
* Sun Oct 12 2014 adrian@suse.de
- adapt to new rubygem packaging style
* Sun May 18 2014 coolo@suse.com
- updated to version 1.1.0
  * Set visibility of any instance stub method.
  * Stub methods with a prepended method if there are other prepended methods. Thanks to @mrsimo.
  * Improve docs for `Mock#responds_like` & `#responds_like_instance_of`.
  * Use GitHub convention for instructions on contributing to Mocha.
  * Fix typos in docs. Thanks to @10io
* Mon Jan 20 2014 coolo@suse.com
- updated to version 1.0.0
  [#]## External changes
  * Assume 'mocha' has been required when requiring 'mocha/setup'.
  * Provide shortcuts for integrating with specific test library i.e. `require 'mocha/test_unit'` or `require 'mocha/mini_test'`
  as alternatives to `require 'mocha/setup'`.
  * Do not automatically try to integrate with test libraries. Since the automatic test library integration functionality
  requires the test library to be loaded and this doesn't usually happen until *after* the bundle is loaded, it makes things
  simpler if we use `require 'mocha/setup'` to explicitly setup Mocha when we know the test library has been loaded. Fixes #146 & #155.
  * Consider stubs on superclasses if none exist on primary receiver. Largely based on changes suggested by @ccutrer in #145.
  Note: this may break existing tests which rely on the old behaviour. Stubbing a superclass method and then invoking that
  method on a child class would previously cause an unexpected invocation error. By searching up through the inheritance
  hierarchy for each of the delegate mock objects, we can provide more intuitive behaviour. Instead of an unexpected invocation
  error, invoking the method on the child class will cause the stubbed method on the superclass to be used.
  * Avoid recursion when constructing unexpected invocation message. Fixes #168.
  * Add explanation of method dispatch. Heavily based on the relevant jMock v1 documentation. Fixes #172.
  * Make class_eval line number more accurate. This sets the line number as the line number of the `def` statement. Closes #169.
  * Allow nesting of `responds_with` parameter matcher. Closes #166.
  * Define `Mocha` module before it's referenced. The test helper defines a class `TestCase` within the `Mocha` module. When
  running the tests inside the bundle, the `Mocha` module happens to be defined at this point. However when running the tests outside the bundle, it is not defined and so an exception is raised: `uninitialized constant Mocha (NameError)`. Fixes #163.
  * Document lack of thread-safety. Fixes #154.
  * Document how to use the build-matrix script. Fixes #160.
  * Stubbing non-public method should use same visibility. This will probably break some existing tests that were somehow relying
  on the stubbed method being public while the original method was protected or private. Fixes #150.
  [#]## Internal changes
  * Use lastest Rubygems in Travis CI builds.
  * Run the standard test suite against Ruby 2.1.0 in the build matrix.
  * Run integration tests against Ruby 2.0.0 with latest Test::Unit gem in the build matrix.
  * Test::Unit is not available in Ruby v1.9.3 standard library, so remove it from the build matrix.
  * Force use of Test::Unit runner, etc in relevant integration tests. Prior to this, I don't think we were really testing the
  Mocha integration with Test::Unit much, because, although `TestUnitTest` was a subclass of `Test::Unit::TestCase`, the
  important test case instances are the temporary ones built by `TestRunner#run_as_test` et al. Prior to this change, these
  would only have used Test::Unit where MiniTest was not available *at all* i.e. only in early versions of Ruby and when the
  MiniTest gem was not loaded.
  * Reset environment variables between build matrix builds.
  * Only activate integration with relevant test library for each of the integration tests.
  * Include standard build combinations from Travis CI config i.e. builds using standard library versions of test libraries.
  * Fix `build-matrix.rb` script. Also use `.travis.yml` to decide what combinations to run. This means we
  can now simulate the Travis CI build locally and avoid duplication. Fixes #157.
  * Remove Ruby version map from build matrix script. I'm using the `rbenv-aliases` plugin to alias minor versions to the
  relevant patch version.
* Wed May 15 2013 coolo@suse.com
- updated to version 0.14.0
  * Official support for MiniTest v5. All tests now pass on the continuous integration build.
  * Add speculative support for Minitest v5. Due to incompatibilities it has not yet been possible to run the Mocha test suite against Minitest v5. However, @zenspider (author of Minitest) provided the patch and he has tested it against Rails v4. Fixes #156. Thanks to @zenspider.
  * Documentation updates.
* Mon Mar 18 2013 coolo@suse.com
- updated to version 0.13.3
* Thu Jan 24 2013 coolo@suse.com
- updated to version 0.13.2
* Thu Dec  6 2012 coolo@suse.com
- updated to version 0.13.1
  * Fix #97 - `Mocha::ParameterMatchers#has_entry` does not work with an Array as the entry's value. Thanks to @ngokli.
  * Allow deprecation `:debug` mode to be switched on from `MOCHA_OPTIONS` environment variable.
* Thu Nov 15 2012 coolo@suse.com
- updated to version 0.13.0
* Sat Nov  3 2012 coolo@suse.com
- updated to version 0.12.7
  * Officially support minitest v4.1.0 (still monkey-patching).
* Mon Oct  1 2012 coolo@suse.com
- updated to version 0.12.6
  * Fixes #103.
  * Officially support minitest v3.5.0 (still monkey-patching).
* Thu Sep  6 2012 coolo@suse.com
- updated to version 0.12.4
  * Officially support minitest v3.4.0 & test-unit v2.5.2 (still monkey-patching).
* Mon Aug  6 2012 coolo@suse.com
- updated to version 0.12.3
  * Revert rename of undocumented internal module since it turns out
    Rails/ActiveSupport is relying on its existence.
* Fri Aug  3 2012 coolo@suse.com
- updated to version 0.12.2
* Wed Aug  1 2012 coolo@suse.com
- updated to version 0.12.1
* Sat May 12 2012 coolo@suse.com
- update to 0.11.4, se RELEASE.rdoc
* Mon Nov  7 2011 jmassaguerpla@suse.de
- updated to 0.10.0
* Fri Jun 11 2010 mrueckert@suse.de
- use rubygems_requires macro
* Mon Nov 16 2009 dmacvicar@suse.de
- update to 0.9.8
  * Fixed bug "NameError raised when using Mocha as a Rails plug-in"
  - http://floehopper.lighthouseapp.com/projects/22289/tickets/53.
    Since 0.9.6 the Rails plugin has been broken. See bug report for
    details. You will need to explicitly load Mocha *after* the test
    framework has been loaded, e.g. by adding "require 'mocha'" at the
    bottom of test/test_helper.rb.
  * Make Mocha::ParameterMatchers#regexp_matches, #includes,
    [#]has_value, #has_key more robust. Thanks to Sander Hartlage.
  * Allow passing a block to Mocha::Configuration methods to only
    change configuration for the duration of the block. Thanks to Dan
    Manges.
  * Fixed bug "doc generation fails in 0.9.7 gem" -
    http://floehopper.lighthouseapp.com/projects/22289/tickets/51.
  * Remove rdoc template incorporating google analytics from source
    control. The file just needs to exist locally and be ignored by
    source control. This should stop the warning showing up on
    e.g. RunCodeRun build results.
* Wed Sep  2 2009 mvidner@novell.com
- update to 0.9.7
- major changes: (more at http://mocha.rubyforge.org/files/RELEASE.html)
  * Added support for ‘test-unit’ gem (version >= 2.0).
  * Stop requiring rubygems
  * Renamed Mocha::Standalone to Mocha::API to better reflect its purpose.
  * Fix exception raised by HasEntry#matches?
  * Fixes for MiniTest and Ruby 1.9.1
* Mon May  4 2009 dmacvicar@suse.de
- update to 0.9.5
- Changelog:
  * Fixed Lighthouse bug 32 - stub_everything should mean mock
    responds to anything.
  * Added Expectation#twice to improve readability. Tthanks
    to pull request from Celestino Gomes.
  * In Ruby 1.9, requiring ‘test/unit’ loads a thin wrapper around
    MiniTest and Test::Unit::TestCase ends up inheriting from
    MiniTest::Unit::TestCase. So we need to avoid including the
    Mocha modules more than once to avoid nasty consequences.
    Thanks to Matthias Hennemeyer for help with this.
  * Ruby 1.9 includes rake, but not rake/contrib. For the moment
    I‘ve moved the sshpublisher require into the only rake task
    that needs it, so that I can at least run the tests in
    Ruby 1.9. It looks like I will need to build a rake/contrib
    gem or similar to get this working properly
    intertwingly.net/blog/2008/01/07/Rake-Contrib-for-1-9
* Fri Jan 16 2009 mrueckert@suse.de
- initial package of version 0.9.4
